OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
VelocitySampler< GridT, Staggered, Order > Class Template Reference

`#include <VelocityFields.h>`

## Public Types
typedef GridT::ConstAccessor | AccessorType
typedef GridT::ValueType | ValueType

## Public Member Functions
| VelocitySampler (const GridT &grid)
| Constructor from a grid. More...
| VelocitySampler (const VelocitySampler &other)
| Copy-constructor. More...
template<typename LocationType >
bool | sample (const LocationType &world, ValueType &result) const
| Samples the velocity at world position onto result. Supports both staggered (i.e. MAC) and collocated velocity grids. More...
template<typename LocationType >
ValueType | sample (const LocationType &world) const
| Samples the velocity at world position onto result. Supports both staggered (i.e. MAC) and co-located velocity grids. More...

## Detailed Description

### template<typename GridT = Vec3fGrid, bool Staggered = false, size_t Order = 1>
class openvdb::v7_0::tools::VelocitySampler< GridT, Staggered, Order >

Class to hold a Vec3 field interpreted as a velocity field. Primarily exists to provide a method(s) that integrate a passive point forward in the velocity field for a single time-step (dt)

## Member Typedef Documentation

## ◆ AccessorType

typedef GridT::ConstAccessor AccessorType

## ◆ ValueType

typedef GridT::ValueType ValueType

## Constructor & Destructor Documentation

## ◆ VelocitySampler() [1/2]

VelocitySampler | ( | const GridT & | grid | ) |
| inline

Constructor from a grid.

## ◆ VelocitySampler() [2/2]

VelocitySampler | ( | const VelocitySampler< GridT, Staggered, Order > & | other | ) |
| inline

Copy-constructor.

## Member Function Documentation

## ◆ sample() [1/2]

ValueType sample | ( | const LocationType & | world | ) | const
| inline

Samples the velocity at world position onto result. Supports both staggered (i.e. MAC) and co-located velocity grids.

Warning
  Not threadsafe since it uses a ValueAccessor! So use one instance per thread (which is fine since its lightweight).

## ◆ sample() [2/2]

bool sample | ( | const LocationType & | world,
|  | ValueType & | result
| ) |  | const
| inline

Samples the velocity at world position onto result. Supports both staggered (i.e. MAC) and collocated velocity grids.

Returns
  `true` if any one of the sampled values is active.

Warning
  Not threadsafe since it uses a ValueAccessor! So use one instance per thread (which is fine since its lightweight).

The documentation for this class was generated from the following file:

- VelocityFields.h